# Generated by Django 2.2.1 on 2019-05-29 21:38

from django.db import migrations, models
import app.models


class Migration(migrations.Migration):

    dependencies = [
        ('recs', '0009_auto_20190526_1525'),
    ]

    operations = [
        migrations.CreateModel(
            name='PostHistory',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('post_history_type_id', models.SmallIntegerField(choices=[(1, app.models.PostHistory.TypeId(1)), (2, app.models.PostHistory.TypeId(2)), (3, app.models.PostHistory.TypeId(3)), (4, app.models.PostHistory.TypeId(4)), (5, app.models.PostHistory.TypeId(5)), (6, app.models.PostHistory.TypeId(6)), (7, app.models.PostHistory.TypeId(7)), (8, app.models.PostHistory.TypeId(8)), (9, app.models.PostHistory.TypeId(9)), (10, app.models.PostHistory.TypeId(10)), (11, app.models.PostHistory.TypeId(11)), (12, app.models.PostHistory.TypeId(12)), (13, app.models.PostHistory.TypeId(13)), (14, app.models.PostHistory.TypeId(14)), (15, app.models.PostHistory.TypeId(15)), (16, app.models.PostHistory.TypeId(16)), (17, app.models.PostHistory.TypeId(17)), (18, app.models.PostHistory.TypeId(18)), (19, app.models.PostHistory.TypeId(19)), (20, app.models.PostHistory.TypeId(20)), (21, app.models.PostHistory.TypeId(21)), (22, app.models.PostHistory.TypeId(22))])),
                ('revision_guid', models.CharField(max_length=36, null=True)),
                ('creation_date', models.DateTimeField()),
                ('user_display_name', models.TextField(null=True)),
                ('comment', models.TextField(null=True)),
                ('text', models.TextField()),
                ('close_reason_id', models.SmallIntegerField(choices=[(1, app.models.PostHistory.CloseReasonId(1)), (2, app.models.PostHistory.CloseReasonId(2)), (3, app.models.PostHistory.CloseReasonId(3)), (4, app.models.PostHistory.CloseReasonId(4)), (7, app.models.PostHistory.CloseReasonId(7))], null=True)),
                ('post_id', models.IntegerField(null=True)),
                ('user_id', models.IntegerField(null=True)),
            ],
        ),
    ]
